
 LinHES - Feature # 994: Support for the Streamzap remote in kodi.

Status: Closed Priority: Normal
Author: mattbatt Category:
Created: 04/16/2015 Assignee:
Updated: 04/24/2015 Due date:
Description: Refer to thread http://forums.linhes.org/viewtopic.php?f=21&t=24165&start=30#p139834 

The default lirc .conf file for streamzap includes "<<", ">>", "|<<", and ">>|" for rewind, fast foward, previous, 
and next.  when you translate that to Kodi in the Lircmap.xml file > and < are illegal characters in XML. I 
changed them to rewind, foward, previous, and next in 
/usr/MythVantage/templates/remotes/favorites/streamzap/lircd.conf.streamzap
and 
/usr/MythVantage/templates/remotes/favorites/streamzap/lircrc.

The files are here https://www.dropbox.com/sh/2jqbrf6ha1vjd6j/AACTs7Z90o4mh_alp3hsJezca?dl=0 

The default Lircmap.xml file at/usr/share/kodi/system/Lircmap.xml doesn't have Streamzap listed 
so I created one, it is also in the dropbox folder. 

Associated revisions
04/17/2015 06:40 am - brfransen
system-templates: streamzap: add Lircmap.xml. closes #994

04/24/2015 05:19 am - brfransen
system-templates: fix streamzap Lircmap.xml. refs #994

History
04/17/2015 08:59 pm - mattbatt
If you look at the official LIRC website they have a bunch of conf files for remotes and they appear to have depricated the chevrons already for 
streamzap.  http://sourceforge.net/p/lirc-remotes/code/ci/master/tree/remotes/streamzap/streamzap.lircd.conf 
And it appears that they have standardized they button names for the common buttons.  http://lirc-remotes.sourceforge.net/remotes-table.html 

04/21/2015 06:36 am - brfransen
- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset commit:338facd2f16924a986dc272cc2496e40e7ce0e0a.

04/23/2015 06:57 pm - mattbatt
Thanks, but you broke Kodi I did an upgrade form the menu to testthis and the Lircmap.xml file that got droped /MythVantage/remotes is all sorts of 
wrong  Here is the file that was put there.  https://www.dropbox.com/s/nbhfgt60hmmg05q/Lircmap.xml?dl=0 
I opened it in Chrome and it looks like the Linhes.org page.
We are so close (by we I mean you)

04/24/2015 05:17 am - brfransen
Looks like the original file in Dropbox is funky: https://www.dropbox.com/sh/2jqbrf6ha1vjd6j/AAAj4fU0RkrOspzRkYaiapdMa/Lircmap.xml?dl=0  The one 
attached to the forum is correct I think.

Files
lircrc 8.7 kB 04/16/2015 mattbatt
lircd.conf.streamzap 2.1 kB 04/16/2015 mattbatt

07/12/2025 1/2



Lircmap.xml 1.9 kB 04/16/2015 mattbatt
